Package org.eclipse.birt.report.engine.extension

# Interface IExtendedItem

public interface IExtendedItem

## Method Summary

Modifier and Type
Method
Description
`IReportEventHandler`
`createEventHandler()`
`IReportItemExecutor`
`createExecutor()`
`IReportItemPreparation`
`createPreparation()`
`IReportItemPresentation`
`createPresentation()`
`IReportItemQuery`
`createQuery()`
`void`
`release()`

## Method Details

### createPresentation

IReportItemPresentation createPresentation()

### createQuery

IReportItemQuery createQuery()

### createEventHandler

IReportEventHandler createEventHandler()

### createPreparation

IReportItemPreparation createPreparation()

### createExecutor

IReportItemExecutor createExecutor()

### release

void release()